package boxes.DiscountingAbs.Discounting;

import interfaces.Discount;
import datatypes.PriceList;
import datatypes.systems.*;

public class DisImp implements Discount
{
	private BoxTop _box; 
	PriceList pl;
	
	public DisImp(BoxTop myBox)
	{
		_box = myBox; 			
	}
	public double getDiscount(int client, int item, int quantity)
	{
		return discountPolicy(PriceList.p[item]);
	}
	
	private double discountPolicy(double price)
	{
		if (price < 10.00)
			return 0.0;
		else if (price < 100.00) 
			return 10.0;
		     else
		     	return 15.0;
	}
}
