package boxes.PricingAbs.Pricing;

import interfaces.Price;
import interfaces.Discount;
import datatypes.PriceList;
import datatypes.systems.*;

public class PrImp implements Price
{	
	private BoxTop _box; 
	Discount dc; // required interface
	
	public PrImp(BoxTop myBox)
	{
		_box = myBox; 
		InterfaceName name = new InterfaceName("Dc");
		dc = (Discount)_box.getRequiredItf(name);
	}
	
	public double getPrice(int client,int item,int quantity)
	{
		if (item > PriceList.p.length )
		{	 
			System.out.println("item #: " + item + " not found " );
			return 0;
		}
		double disc = dc.getDiscount(client, item, quantity);
		return PriceList.p[item] * (1 - disc* 0.01) * quantity;	
	}
}
